Subject: Re: [nmrg] IRTF Chair review of draft-irtf-nmrg-ibn-concepts-definitions-05

From: Alexander L Clemm <[email-masked]>
Date: Tue, 14 Dec 2021 17:04:41 -0800

Hello Colin, and all,

it has taken us a while, but we have now updated the draft per your 
comments as follows and hope it addresses your concerns so you will send 
it for IRSG review. We are posting -06 shortly.

Re: 1 (better relate it to current research needs):

We are adding the following paragraph, at the end of section 1, to 
indicate the growing relevance in the research community.

/Intent has also become an important topic in the research community.  
Per IEEE Xplore [Reference: //https://ieeexplore.ieee.org///] , in the 
past decade since 2012, there have been 1138 papers with the index term 
"intent", of which 411 specifically mention networking.  The time period 
since 2020 alone accounts for 316 papers on intent and 153 for intent 
networking, indicating accelerating interest.  In addition, workshops 
dedicated to this theme are beginning to appear, such as the IEEE 
International Workshop on Intent-Based Networking [Reference: 
//https://netsoft2021.ieee-netsoft.org/program/workshops/win-2021///], 
as well as various special journal issues [Reference: Special Issue on 
Intent-Based Networking for 5G-Envisioned Internet of Connected 
Vehicles, in IEEE Transactions on Intelligent Transportation Systems, 
vol. 22, no. 8, DOI: 10.1109/TITS.2021.3101259, August 2021] [Reference: 
Special Issue "Intent-Based Software-Defined Networks", in Computers 
(MDPI), M. Gharbaoui (editor), 2022, to appear].  A survey of current 
intent-driven networking research has been published in [L. Pang, C. 
Yang, D. Chen, Y. Song, M. Guizan, "A Survey on Intent-Driven Networks", 
in IEEE Access Vol 8 pp. 22862-22873, 2020, DOI: 
10:110/ACCESS.2020.2969208], listing among the current research 
challenges aspects such as intent translation and understanding, intent 
interfaces, and security.  The survey highlights that there is no common 
terminology and calls out the lack for uniform understanding and 
standardization as a potential inhibitor for the further development  of 
IBN.
/

As an FYI (we are not mentioning this in the document), per Google 
Scholar, the current draft has already received 47 citations, which is 
also indicative of its relevance to the research community; see here: 
https://scholar.google.com/citations?view_op=view_citation&hl=en&user=YGBQsCQAAAAJ&cstart=20&pagesize=80&sortby=pubdate&citation_for_view=YGBQsCQAAAAJ:OP4eGU-M3BUC 
<https://scholar.google.com/citations?view_op=view_citation&hl=en&user=YGBQsCQAAAAJ&cstart=20&pagesize=80&sortby=pubdate&citation_for_view=YGBQsCQAAAAJ:OP4eGU-M3BUC>

Re: 2: We believe that much of this should be answered by our response 
to the first question.  We will add the references to the current survey 
as per the above.  The examples that we chose are indeed 
networking-centric and intended to make them easily relatable to a 
networking audience without needing much explanation about the example 
domain.  We disagree that these are "old" problems, some (such as the  
intent to generate in-situ OAM data under certain conditions, or 
intent-based traffic steering based on geographic considerations) are 
certainly very current. That said, we can add some more "researchy" 
examples of intent from research papers, as follows:

/- "Route traffic in a Space Information Network in a way that minimizes 
dependency on stratospheric balloons unless the intended destination is 
an aircraft." (Does not specify how to precisely achieve this; 
extrapolates on scenarios mentioned in [Survey] //
/

//

/- "For a smart city service, ensure traffic signal control traffic uses 
dedicated and redundant slices that avoid fate sharing." (A desired 
outcome with a set of constraints and additional guidance without 
specifying how to precisely achieve this;  extrapolates on scenarios 
from[Reference: M. Gharbaoui, B. Martini, P. Castoldi, "Implementation 
of an Intent Layer for SDN-enabled and QoS-aware Network Slicing", in 
2021 IEEE 7th Int. Conference on Netowrk Softwarization (NetSoft), pp 
17-23, doi: 10.1109/NetSoft51509.2021.9492643.] /

Re: 3, we will repeat the statement from the abstract in the 
Introduction.  We are putting this in the beginning so it is very clear:

/This document is a product of the IRTF Network Management 
Research//Group (NMRG). It reflects the consensus of the RG, receiving 
reviews and explicit support from many members./

Re: 4, as mentioned before, we will reword the first sentence to avoid 
the term "traditionally" as follows:

/In the past, interest regarding management and operations in the IETF 
has focused largely on individual network and device features./

Please let us know if these modifications address your concerns.

Thank you

--- Alex (on behalf of coauthors)

On 9/20/2021 12:25 PM, Colin Perkins wrote:
> The NMRG chairs have requested that draft-irtf-nmrg-ibn-concepts-definitions-05 be published as an RFC on the IRTF stream. The IRTF publication process is described in RFC 5743, and comprises a review by the IRSG to ensure technical and editorial quality, followed by a check by the IESG to ensure the work does not conflict with IETF standards activities.
>
> As IRTF Chair, I perform an initial review of all drafts submitted for publication on the IRTF stream before sending them for detailed review by the IRSG. This note provides my review comments, for discussion.
>
> Result:
> * Almost ready
>
> RFC 5743 compliance:
> * The draft does not follow the guidelines in RFC 5743
>
>
> Comments:
>
> * The structure and focus of the Introduction suggests that this is an IETF document, primarily discussing standards and saying little about the research need for this document. Similarly, there are no conclusions drawn, and no attempt to summarise and relate the work to ongoing research. The definitions and discussion of concepts is good, but the draft needs to better relate it to ongoing research needs and trends.
>
> * Most of the examples are standards-based, and the few that point to research work are to old papers. How does the work relate to current research?
>
> * RFC 5843, Section 2.1, requires all IRTF stream documents to include certain statements in the Abstract and Introduction. The necessary statements appear in the Abstract, but appear to be missing from the Introduction.
>
> * First sentence: “Traditionally in the IETF…” – the RFC Editor will flag the use of the word “traditionally” in their review of inclusive language. Suggest rephrasing.
>
> Colin Perkins
> IRTF Chair

---

From: Colin Perkins <[email-masked]>
Date: Thu, 16 Dec 2021 23:08:01 +0000

Hi Alex,

Thank you for updating the draft.

The changes around terminology and consensus are fine.

The other changes to the Introduction, to highlight that there is research on intent-based networking, are less convincing. It’s clear that the topic of intent-based networking is one that's receiving interest from the community, but I was rather interested in understanding how this draft fits with ongoing research since the Introduction is so heavily focussed on standards. Reviewing the citations you highlight in Google Scholar, however, makes it clear that the definitions are broadly useful to the research community. 

Accordingly, I'll move this draft forward to IRSG review if the chairs are happy with the changes. 

I would, however, ask the document shepherd to update the write-up in the datatracker to highlight the papers and research that build on this draft – this would make it’s relevance to the research community clearer.

Colin

> On 15 Dec 2021, at 01:04, Alexander L Clemm <[email-masked]> wrote:
> 
> Hello Colin, and all,
> 
> it has taken us a while, but we have now updated the draft per your comments as follows and hope it addresses your concerns so you will send it for IRSG review. We are posting -06 shortly.  
> 
> We are adding the following paragraph, at the end of section 1, to indicate the growing relevance in the research community.    
> 
> Intent has also become an important topic in the research community.  Per IEEE Xplore [Reference: https://ieeexplore.ieee.org/ <https://ieeexplore.ieee.org/>] , in the past decade since 2012, there have been 1138 papers with the index term "intent", of which 411 specifically mention networking.  The time period since 2020 alone accounts for 316 papers on intent and 153 for intent networking, indicating accelerating interest.  In addition, workshops dedicated to this theme are beginning to appear, such as the IEEE International Workshop on Intent-Based Networking [Reference: https://netsoft2021.ieee-netsoft.org/program/workshops/win-2021/ <https://netsoft2021.ieee-netsoft.org/program/workshops/win-2021/>], as well as various special journal issues [Reference: Special Issue on Intent-Based Networking for 5G-Envisioned Internet of Connected Vehicles, in IEEE Transactions on Intelligent Transportation Systems, vol. 22, no. 8, DOI: 10.1109/TITS.2021.3101259, August 2021] [Reference: Special Issue "Intent-Based Software-Defined Networks", in Computers (MDPI), M. Gharbaoui (editor), 2022, to appear].  A survey of current intent-driven networking research has been published in [L. Pang, C. Yang, D. Chen, Y. Song, M. Guizan, "A Survey on Intent-Driven Networks", in IEEE Access Vol 8 pp. 22862-22873, 2020, DOI: 10:110/ACCESS.2020.2969208], listing among the current research challenges aspects such as intent translation and understanding, intent interfaces, and security.  The survey         highlights that there is no common terminology and calls out the lack for uniform understanding and standardization as a potential inhibitor for the further development  of IBN. 
> 
> As an FYI (we are not mentioning this in the document), per Google Scholar, the current draft has already received 47 citations, which is also indicative of its relevance to the research community; see here: https://scholar.google.com/citations?view_op=view_citation&hl=en&user=YGBQsCQAAAAJ&cstart=20&pagesize=80&sortby=pubdate&citation_for_view=YGBQsCQAAAAJ:OP4eGU-M3BUC <https://scholar.google.com/citations?view_op=view_citation&hl=en&user=YGBQsCQAAAAJ&cstart=20&pagesize=80&sortby=pubdate&citation_for_view=YGBQsCQAAAAJ:OP4eGU-M3BUC>
> Re: 2: We believe that much of this should be answered by our response to the first question.  We will add the references to the current survey as per the above.  The examples that we chose are indeed networking-centric and intended to make them easily relatable to a networking audience without needing much explanation about the example domain.  We disagree that these are "old" problems, some (such as the  intent to generate in-situ OAM data under certain conditions, or intent-based traffic steering based on geographic considerations) are certainly very current.  That said, we can add some more "researchy" examples of intent from research papers, as follows:
> 
> - "Route traffic in a Space Information Network in a way that minimizes dependency on stratospheric balloons unless the intended destination is an aircraft." (Does not specify how to precisely achieve this; extrapolates on scenarios mentioned in [Survey] 
> 
> - "For a smart city service, ensure traffic signal control traffic uses dedicated and redundant slices that avoid fate sharing." (A desired outcome with a set of constraints and additional guidance without specifying how to precisely achieve this;  extrapolates on scenarios from[Reference: M. Gharbaoui, B. Martini, P. Castoldi, "Implementation of an Intent Layer for SDN-enabled and QoS-aware Network Slicing", in 2021 IEEE 7th Int. Conference on Netowrk Softwarization (NetSoft), pp 17-23, doi: 10.1109/NetSoft51509.2021.9492643.]  
> 
> Re: 3, we will repeat the statement from the abstract in the Introduction.  We are putting this in the beginning so it is very clear: 
> 
> This document is a product of the IRTF Network Management Research Group (NMRG). It reflects the consensus of the RG, receiving reviews and explicit support from many members.
> 
> Re: 4, as mentioned before, we will reword the first sentence to avoid the term "traditionally" as follows: 
> 
> In the past, interest regarding management and operations in the IETF has focused largely on individual network and device features.

---

From: Alexander L Clemm <[email-masked]>
Date: Fri, 17 Dec 2021 11:11:25 -0800

Thank you, Colin, for moving this forward!

--- Alex

On 12/16/2021 3:08 PM, Colin Perkins wrote:
> The other changes to the Introduction, to highlight that there is 
> research on intent-based networking, are less convincing. It’s clear 
> that the topic of intent-based networking is one that's receiving 
> interest from the community, but I was rather interested in 
> understanding how this draft fits with ongoing research since the 
> Introduction is so heavily focussed on standards. Reviewing the 
> citations you highlight in Google Scholar, however, makes it clear 
> that the definitions are broadly useful to the research community.
>
> I would, however, ask the document shepherd to update the write-up in 
> the datatracker to highlight the papers and research that build on 
> this draft – this would make it’s relevance to the research community 
> clearer.
>
> Colin
>
>
>
>
>
>
>
>> comments as follows and hope it addresses your concerns so you will 
>> send it for IRSG review. We are posting -06 shortly.
>>
>> /Intent has also become an important topic in the research 
>> community.  Per IEEE Xplore [Reference: 
>> //https://ieeexplore.ieee.org///] , in the past decade since 2012, 
>> there have been 1138 papers with the index term "intent", of which 
>> 411 specifically mention networking.  The time period since 2020 
>> alone accounts for 316 papers on intent and 153 for intent 
>> as well as various special journal issues [Reference: Special Issue 
>> on Intent-Based Networking for 5G-Envisioned Internet of Connected 
>> vol. 22, no. 8, DOI: 10.1109/TITS.2021.3101259, August 2021] 
>> [Reference: Special Issue "Intent-Based Software-Defined Networks", 
>> in Computers (MDPI), M. Gharbaoui (editor), 2022, to appear].  A 
>> survey of current intent-driven networking research has been 
>> published in [L. Pang, C. Yang, D. Chen, Y. Song, M. Guizan, "A 
>> Survey on Intent-Driven Networks", in IEEE Access Vol 8 pp. 
>> 22862-22873, 2020, DOI: 10:110/ACCESS.2020.2969208], listing among 
>> the current research challenges aspects such as intent translation 
>> and understanding, intent interfaces, and security.  The survey 
>> highlights that there is no common terminology and calls out the lack 
>> for uniform understanding and standardization as a potential 
>> inhibitor for the further development  of IBN.
>> /
>>
>> Scholar, the current draft has already received 47 citations, which 
>> is also indicative of its relevance to the research community; see 
>> here: 
>> Re: 2: We believe that much of this should be answered by our 
>> response to the first question.  We will add the references to the 
>> current survey as per the above.  The examples that we chose are 
>> indeed networking-centric and intended to make them easily relatable 
>> to a networking audience without needing much explanation about the 
>> example domain.  We disagree that these are "old" problems, some 
>> (such as the  intent to generate in-situ OAM data under certain 
>> conditions, or intent-based traffic steering based on geographic 
>> considerations) are certainly very current.  That said, we can add 
>> some more "researchy" examples of intent from research papers, as 
>> follows:
>>
>> /- "Route traffic in a Space Information Network in a way that 
>> minimizes dependency on stratospheric balloons unless the intended 
>> destination is an aircraft." (Does not specify how to precisely 
>> achieve this; extrapolates on scenarios mentioned in [Survey] //
>> /
>>
>> //
>>
>> /- "For a smart city service, ensure traffic signal control traffic 
>> uses dedicated and redundant slices that avoid fate sharing." (A 
>> desired outcome with a set of constraints and additional guidance 
>> without specifying how to precisely achieve this;  extrapolates on 
>> scenarios from[Reference: M. Gharbaoui, B. Martini, P. Castoldi, 
>> "Implementation of an Intent Layer for SDN-enabled and QoS-aware 
>> Network Slicing", in 2021 IEEE 7th Int. Conference on Netowrk 
>> Softwarization (NetSoft), pp 17-23, doi: 
>> 10.1109/NetSoft51509.2021.9492643.] /
>>
>> Research//Group (NMRG). It reflects the consensus of the RG, 
>> receiving reviews and explicit support from many members./
>>
>> Re: 4, as mentioned before, we will reword the first sentence to 
>> avoid the term "traditionally" as follows:
>>
>> /In the past, interest regarding management and operations in the 
>> IETF has focused largely on individual network and device features./
>>

---

From: Jérôme François <[email-masked]>
Date: Tue, 21 Dec 2021 22:54:57 +0100

Hi Colin, Alex,

As NMRG co-chair and shepherd, I'm fine with the new version.
As mentioned in the email discussion, this draft is well cited and can be thus 
considered as an helpful document for other research papers. I'll update the write 
up accordingly.

Jérôme

Le 17/12/2021 à 00:08, Colin Perkins a écrit :
> The other changes to the Introduction, to highlight that there is research on 
> intent-based networking, are less convincing. It’s clear that the topic of 
> intent-based networking is one that's receiving interest from the community, but 
> I was rather interested in understanding how this draft fits with ongoing 
> research since the Introduction is so heavily focussed on standards. Reviewing 
> the citations you highlight in Google Scholar, however, makes it clear that the 
> definitions are broadly useful to the research community.
>
> I would, however, ask the document shepherd to update the write-up in the 
> datatracker to highlight the papers and research that build on this draft – this 
> would make it’s relevance to the research community clearer.
>
> Colin
>
>
>
>
>
>
>
>> On 15 Dec 2021, at 01:04, Alexander L Clemm <[email-masked] 
>> <mailto:[email-masked]>> wrote:
>>
>> Hello Colin, and all,
>>
>> it has taken us a while, but we have now updated the draft per your comments as 
>> follows and hope it addresses your concerns so you will send it for IRSG 
>> review. We are posting -06 shortly.
>>
>> We are adding the following paragraph, at the end of section 1, to indicate the 
>> growing relevance in the research community.
>>
>> /Intent has also become an important topic in the research community.  Per IEEE 
>> Xplore [Reference: //https://ieeexplore.ieee.org///] , in the past decade since 
>> 2012, there have been 1138 papers with the index term "intent", of which 411 
>> specifically mention networking.  The time period since 2020 alone accounts for 
>> 316 papers on intent and 153 for intent networking, indicating accelerating 
>> interest.  In addition, workshops dedicated to this theme are beginning to 
>> appear, such as the IEEE International Workshop on Intent-Based Networking 
>> [Reference: 
>> //https://netsoft2021.ieee-netsoft.org/program/workshops/win-2021///], as well 
>> as various special journal issues [Reference: Special Issue on Intent-Based 
>> Networking for 5G-Envisioned Internet of Connected Vehicles, in IEEE 
>> Transactions on Intelligent Transportation Systems, vol. 22, no. 8, DOI: 
>> 10.1109/TITS.2021.3101259, August 2021] [Reference: Special Issue "Intent-Based 
>> Software-Defined Networks", in Computers (MDPI), M. Gharbaoui (editor), 2022, 
>> to appear].  A survey of current intent-driven networking research has been 
>> published in [L. Pang, C. Yang, D. Chen, Y. Song, M. Guizan, "A Survey on 
>> Intent-Driven Networks", in IEEE Access Vol 8 pp. 22862-22873, 2020, DOI: 
>> 10:110/ACCESS.2020.2969208], listing among the current research challenges 
>> aspects such as intent translation and understanding, intent interfaces, and 
>> security.  The survey highlights that there is no common terminology and calls 
>> out the lack for uniform understanding and standardization as a potential 
>> As an FYI (we are not mentioning this in the document), per Google Scholar, the 
>> current draft has already received 47 citations, which is also indicative of 
>> its relevance to the research community; see here: 
>> Re: 2: We believe that much of this should be answered by our response to the 
>> first question.  We will add the references to the current survey as per the 
>> above.  The examples that we chose are indeed networking-centric and intended 
>> to make them easily relatable to a networking audience without needing much 
>> explanation about the example domain.  We disagree that these are "old" 
>> problems, some (such as the  intent to generate in-situ OAM data under certain 
>> considerations) are certainly very current.  That said, we can add some more 
>> "researchy" examples of intent from research papers, as follows:
>>
>> dependency on stratospheric balloons unless the intended destination is an 
>> aircraft." (Does not specify how to precisely achieve this; extrapolates on 
>> scenarios mentioned in [Survey] //
>> /
>>
>> //
>>
>> dedicated and redundant slices that avoid fate sharing." (A desired outcome 
>> with a set of constraints and additional guidance without specifying how to 
>> precisely achieve this;  extrapolates on scenarios from[Reference: M. 
>> Gharbaoui, B. Martini, P. Castoldi, "Implementation of an Intent Layer for 
>> SDN-enabled and QoS-aware Network Slicing", in 2021 IEEE 7th Int. Conference on 
>> Netowrk Softwarization (NetSoft), pp 17-23, doi: 
>> Re: 3, we will repeat the statement from the abstract in the Introduction.  We 
>> are putting this in the beginning so it is very clear:
>>
>> /This document is a product of the IRTF Network Management Research//Group 
>> (NMRG). It reflects the consensus of the RG, receiving reviews and explicit 
>> support from many members./
>>
>> /In the past, interest regarding management and operations in the IETF has 
>> focused largely on individual network and device features./
>>
> _______________________________________________
> nmrg mailing list
> [email-masked]
> https://www.irtf.org/mailman/listinfo/nmrg

---

From: "Ciavaglia, Laurent" <[email-masked]>
Date: Wed, 22 Dec 2021 05:30:00 +0000

Hello,

I’m an author of the draft, yet in my role of co-chair, I agree with Jérôme’s statement.

Best regards, Laurent

From: Jérôme François <[email-masked]>
Sent: Tuesday, December 21, 2021 22:55
To: Colin Perkins <[email-masked]>; Alexander L Clemm <[email-masked]>
Cc: [email-masked]; [email-masked]; [email-masked]
Subject: Re: [nmrg] IRTF Chair review of draft-irtf-nmrg-ibn-concepts-definitions-05

[EXTERNAL] This message comes from an external organization.
Hi Colin, Alex,

As NMRG co-chair and shepherd, I'm fine with the new version.
As mentioned in the email discussion, this draft is well cited and can be thus considered as an helpful document for other research papers. I'll update the write up accordingly.

Jérôme

Colin

On 15 Dec 2021, at 01:04, Alexander L Clemm <[email-masked]<mailto:[email-masked]>> wrote:

Hello Colin, and all,
Intent has also become an important topic in the research community.  Per IEEE Xplore [Reference: https://ieeexplore.ieee.org/] , in the past decade since 2012, there have been 1138 papers with the index term "intent", of which 411 specifically mention networking.  The time period since 2020 alone accounts for 316 papers on intent and 153 for intent networking, indicating accelerating interest.  In addition, workshops dedicated to this theme are beginning to appear, such as the IEEE International Workshop on Intent-Based Networking [Reference: https://netsoft2021.ieee-netsoft.org/program/workshops/win-2021/], as well as various special journal issues [Reference: Special Issue on Intent-Based Networking for 5G-Envisioned Internet of Connected Vehicles, in IEEE Transactions on Intelligent Transportation Systems, vol. 22, no. 8, DOI: 10.1109/TITS.2021.3101259, August 2021] [Reference: Special Issue "Intent-Based Software-Defined Networks", in Computers (MDPI), M. Gharbaoui (editor), 2022, to appear].  A survey of current intent-driven networking research has been published in [L. Pang, C. Yang, D. Chen, Y. Song, M. Guizan, "A Survey on Intent-Driven Networks", in IEEE Access Vol 8 pp. 22862-22873, 2020, DOI: 10:110/ACCESS.2020.2969208], listing among the current research challenges aspects such as intent translation and understanding, intent interfaces, and security.  The survey highlights that there is no common terminology and calls out the lack for uniform understanding and standardization as a potential inhibitor for the further development  of IBN.
As an FYI (we are not mentioning this in the document), per Google Scholar, the current draft has already received 47 citations, which is also indicative of its relevance to the research community; see here: https://scholar.google.com/citations?view_op=view_citation&hl=en&user=YGBQsCQAAAAJ&cstart=20&pagesize=80&sortby=pubdate&citation_for_view=YGBQsCQAAAAJ:OP4eGU-M3BUC

Result:

* Almost ready

RFC 5743 compliance:

Comments:

Colin Perkins

IRTF Chair

nmrg mailing list

[email-masked]<mailto:[email-masked]>